From cb592d529338c3f249db15ab2dd00031a4bd073e Mon Sep 17 00:00:00 2001
From: "Liguros - Gitlab CI/CD [develop]"
Date: Thu, 7 Aug 2025 19:01:28 +0000
Subject: Adding metadata
---
dev-python/cryptography/Manifest | 2 +-
dev-python/cryptography/cryptography-45.0.4.ebuild | 130 ---------------------
dev-python/cryptography/cryptography-45.0.6.ebuild | 130 +++++++++++++++++++++
dev-python/django/Manifest | 2 +
dev-python/django/django-4.2.23.ebuild | 2 +
dev-python/django/django-5.1.11.ebuild | 2 +
dev-python/django/django-5.2.5.ebuild | 100 ++++++++++++++++
.../django/files/django-5.2.5-htmlparser.patch | 58 +++++++++
dev-python/scrypt/Manifest | 2 +-
dev-python/scrypt/scrypt-0.8.27.ebuild | 26 -----
dev-python/scrypt/scrypt-0.9.4.ebuild | 26 +++++
11 files changed, 322 insertions(+), 158 deletions(-)
delete mode 100644 dev-python/cryptography/cryptography-45.0.4.ebuild
create mode 100644 dev-python/cryptography/cryptography-45.0.6.ebuild
create mode 100644 dev-python/django/django-5.2.5.ebuild
create mode 100644 dev-python/django/files/django-5.2.5-htmlparser.patch
delete mode 100644 dev-python/scrypt/scrypt-0.8.27.ebuild
create mode 100644 dev-python/scrypt/scrypt-0.9.4.ebuild
(limited to 'dev-python')
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index ffd2d5869a67..0640a3b2915c 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -5,8 +5,8 @@ DIST base64-0.22.1.crate 81597 BLAKE2B 6f216a560bd36e6e6b74e908344b457594cc768d9
DIST bitflags-2.9.1.crate 47913 BLAKE2B b14ee41348336981ab86459417b9feab90879a11a6524a8b43f2b89c09c844b4441c31e315c471be00ad21fa88b5dcc7671b56567fdcd72bb0790ceeaa25813b SHA512 6baeac42e4227e58030e317125a3c23997beceb44f9262f029e59c6dc36dd1733f2e88b3c3c8ad22f806245ef404512a880b16f3c8c52fa5c4aab287bb3cfe27
DIST cc-1.2.23.crate 106527 BLAKE2B 0fd9e69ad743f4df15da3d25f85e1a422ef64b81b72af491001ccfba5c0c39e448deecc92e3a553bf74574460ecd2bf8f4056a1cd05d05856a1f3f36fa25bc19 SHA512 3fced846c630c09f629854754dc247affeae3e71375953617d77947b2bdfb479369db159cec941c7b094fd9d2fee62f7d5898d6d76de920dbd70de24ee35fd0b
DIST cfg-if-1.0.0.crate 7934 BLAKE2B e99a5589c11d79d77a4537b34ce0a45d37b981c123b79b807cea836c89fc3926d693458893baca2882448d3d44e3f64e06141f6d916b748daa10b8cc1ae16d1b SHA512 0fb16a8882fd30e86b62c5143b1cb18ab564e84e75bd1f28fd12f24ffdc4a42e0d2e012a99abb606c12efe3c11061ff5bf8e24ab053e550ae083f7d90f6576ff
-DIST cryptography-45.0.4.tar.gz 744890 BLAKE2B 34687a369894b0dfcf8a81c6d1b8cbb0b4a711fd17d4419c5368c41b7e5192cad7233295976a236a52c20493b980a5df77ff4af5a9d54925510d00e833971a22 SHA512 d5bdb21956b80675ccfae78be3d56a2e3bfe8c6ceac15c87c9a3ca470605cb798774018c6c9b9597e90a6918912c9a6b5d83eac9f446364b917d7e8888b83eee
DIST cryptography-45.0.5.tar.gz 36156329 BLAKE2B 59bea62ee7c089f600a5c202fb260b06889d99a3adc096d83196532dd83d36522e7086ff2f87d34339f8cbd8c64946f1d08f7bc10309ca34f8ef7c8b85f56cd1 SHA512 48935be9c7c2e28bf9ea05866a08cb7702b9256fdc6c6db2d26ae40d433e865c9933b8ec4e29ee24df638c1727bcade1e0d88ed59f0ec6620f70eeee2459449a
+DIST cryptography-45.0.6.tar.gz 744949 BLAKE2B 271143188d0a7485066b5c89fc0397e6f9e5f5219844961a85e9fd382fb0b05521a093fb943252ea2985bb89645a285345fcf66a6022a58176fe809a83376a81 SHA512 2c675834fa26db0773fe51855c248927a2a7d45963e07144afdfa73573ce1e6940d40849d23fb45f7599c0821e4dbbec956ce2bd993c614617312b8e67fe7f1f
DIST foreign-types-0.3.2.crate 7504 BLAKE2B 520818b702d990d296ecd31a8646850202509ccfa18edd0e1b260289619a6c351e758f317ec0824bd76eccb209b6f087057c25f1bd01a47897715013dd834867 SHA512 bf27b8243ed482c202d120383374f19ff09422535e24b9c1aebccc66529bf300ca17b8bbc76d67f98ac092e614497afe3add9dc68aa69c93074df05762f91232
DIST foreign-types-shared-0.1.1.crate 5672 BLAKE2B d2e42e04b6657e7a69fe0bd20c672176629c743e49a55fd007bb30e289710b70045d445ae9cae0eeaa747ee708c90e8abd9b5fc39bad8ec0666befe1b696d4f1 SHA512 bafdb2143e136fb0818e2ffd90b5c862b7181647d6568947d4e4531012bbf7a57b597221ec7056c1b562dfc0c3b5dead26d1a4111ebc15e7863737a873518a4a
DIST heck-0.5.0.crate 11517 BLAKE2B 5365ec43b2239a76b33a174f1a4292ece4147f9d382a68c6c60db78fdc8bad0afb1d51a65bcb25e96675372faa4ea37c318265030b0546ba51942f7c929e1835 SHA512 f044fc9c3d22466629fd8f772ec0555350fd611c0cfadca51d99a3d2f10e155f77c1091916c8a95a6b9b499f366c2e99a5fbf45b010f988bfb9b2501bf9f6a76
diff --git a/dev-python/cryptography/cryptography-45.0.4.ebuild b/dev-python/cryptography/cryptography-45.0.4.ebuild
deleted file mode 100644
index 55b3873cde21..000000000000
--- a/dev-python/cryptography/cryptography-45.0.4.ebuild
+++ /dev/null
@@ -1,130 +0,0 @@
-# Copyright 2021-2025 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-CARGO_OPTIONAL=yes
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=maturin
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-PYTHON_REQ_USE="threads(+)"
-
-CRATES="
- asn1@0.21.3
- asn1_derive@0.21.3
- autocfg@1.4.0
- base64@0.22.1
- bitflags@2.9.1
- cc@1.2.23
- cfg-if@1.0.0
- foreign-types-shared@0.1.1
- foreign-types@0.3.2
- heck@0.5.0
- indoc@2.0.6
- itoa@1.0.15
- libc@0.2.172
- memoffset@0.9.1
- once_cell@1.21.3
- openssl-macros@0.1.1
- openssl-sys@0.9.108
- openssl@0.10.72
- pem@3.0.5
- pkg-config@0.3.32
- portable-atomic@1.11.0
- proc-macro2@1.0.95
- pyo3-build-config@0.25.0
- pyo3-ffi@0.25.0
- pyo3-macros-backend@0.25.0
- pyo3-macros@0.25.0
- pyo3@0.25.0
- quote@1.0.40
- self_cell@1.2.0
- shlex@1.3.0
- syn@2.0.101
- target-lexicon@0.13.2
- unicode-ident@1.0.18
- unindent@0.2.4
- vcpkg@0.2.15
-"
-
-inherit cargo distutils-r1 multiprocessing
-
-VEC_P=cryptography_vectors-$(ver_cut 1-3)
-DESCRIPTION="Library providing cryptographic recipes and primitives"
-HOMEPAGE="
- https://github.com/pyca/cryptography/
- https://pypi.org/project/cryptography/
-"
-SRC_URI="
- https://github.com/pyca/cryptography/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
- $(cargo_crate_uris ${CRATES})"
-
-LICENSE="|| ( Apache-2.0 BSD ) PSF-2"
-# Dependent crate licenses
-LICENSE+="
- Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT Unicode-DFS-2016
-"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~loong ~ppc ppc64 ~riscv ~s390 sparc ~x86"
-IUSE="libressl"
-
-RDEPEND="
- !libressl? ( >=dev-libs/openssl-1.0.2o-r6:0= )
- libressl? ( =dev-python/cffi-1.8:=[${PYTHON_USEDEP}]
- ' 'python*')
-"
-DEPEND="
- ${RDEPEND}
-"
-BDEPEND="
- ${RUST_DEPEND}
- >=dev-python/setuptools-rust-1.7.0[${PYTHON_USEDEP}]
- test? (
- dev-python/certifi[${PYTHON_USEDEP}]
- >=dev-python/hypothesis-1.11.4[${PYTHON_USEDEP}]
- dev-python/iso8601[${PYTHON_USEDEP}]
- dev-python/pretend[${PYTHON_USEDEP}]
- dev-python/pyasn1-modules[${PYTHON_USEDEP}]
- dev-python/pytest-subtests[${PYTHON_USEDEP}]
- dev-python/pytest-xdist[${PYTHON_USEDEP}]
- dev-python/pytz[${PYTHON_USEDEP}]
- )
-"
-
-# Files built without CFLAGS/LDFLAGS, acceptable for rust
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/cryptography/hazmat/bindings/_rust.*.so"
-
-distutils_enable_tests pytest
-
-src_unpack() {
- cargo_src_unpack
-}
-
-src_prepare() {
- default
-
- sed -i -e 's:--benchmark-disable::' pyproject.toml || die
-
- # work around availability macros not supported in GCC (yet)
- if [[ ${CHOST} == *-darwin* ]] ; then
- local darwinok=0
- if [[ ${CHOST##*-darwin} -ge 16 ]] ; then
- darwinok=1
- fi
- sed -i -e 's/__builtin_available(macOS 10\.12, \*)/'"${darwinok}"'/' \
- src/_cffi_src/openssl/src/osrandom_engine.c || die
- fi
-}
-
-python_configure_all() {
- filter-lto # bug #903908
-}
-
-python_test() {
- local -x PYTHONPATH="${PYTHONPATH}:${WORKDIR}/cryptography_vectors-${PV}"
- local EPYTEST_IGNORE=(
- tests/bench
- )
- epytest -n "$(makeopts_jobs)"
-}
diff --git a/dev-python/cryptography/cryptography-45.0.6.ebuild b/dev-python/cryptography/cryptography-45.0.6.ebuild
new file mode 100644
index 000000000000..55b3873cde21
--- /dev/null
+++ b/dev-python/cryptography/cryptography-45.0.6.ebuild
@@ -0,0 +1,130 @@
+# Copyright 2021-2025 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+CARGO_OPTIONAL=yes
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+)"
+
+CRATES="
+ asn1@0.21.3
+ asn1_derive@0.21.3
+ autocfg@1.4.0
+ base64@0.22.1
+ bitflags@2.9.1
+ cc@1.2.23
+ cfg-if@1.0.0
+ foreign-types-shared@0.1.1
+ foreign-types@0.3.2
+ heck@0.5.0
+ indoc@2.0.6
+ itoa@1.0.15
+ libc@0.2.172
+ memoffset@0.9.1
+ once_cell@1.21.3
+ openssl-macros@0.1.1
+ openssl-sys@0.9.108
+ openssl@0.10.72
+ pem@3.0.5
+ pkg-config@0.3.32
+ portable-atomic@1.11.0
+ proc-macro2@1.0.95
+ pyo3-build-config@0.25.0
+ pyo3-ffi@0.25.0
+ pyo3-macros-backend@0.25.0
+ pyo3-macros@0.25.0
+ pyo3@0.25.0
+ quote@1.0.40
+ self_cell@1.2.0
+ shlex@1.3.0
+ syn@2.0.101
+ target-lexicon@0.13.2
+ unicode-ident@1.0.18
+ unindent@0.2.4
+ vcpkg@0.2.15
+"
+
+inherit cargo distutils-r1 multiprocessing
+
+VEC_P=cryptography_vectors-$(ver_cut 1-3)
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="
+ https://github.com/pyca/cryptography/
+ https://pypi.org/project/cryptography/
+"
+SRC_URI="
+ https://github.com/pyca/cryptography/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
+ $(cargo_crate_uris ${CRATES})"
+
+LICENSE="|| ( Apache-2.0 BSD ) PSF-2"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc ppc64 ~riscv ~s390 sparc ~x86"
+IUSE="libressl"
+
+RDEPEND="
+ !libressl? ( >=dev-libs/openssl-1.0.2o-r6:0= )
+ libressl? ( =dev-python/cffi-1.8:=[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ ${RUST_DEPEND}
+ >=dev-python/setuptools-rust-1.7.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-1.11.4[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+# Files built without CFLAGS/LDFLAGS, acceptable for rust
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/cryptography/hazmat/bindings/_rust.*.so"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ default
+
+ sed -i -e 's:--benchmark-disable::' pyproject.toml || die
+
+ # work around availability macros not supported in GCC (yet)
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ local darwinok=0
+ if [[ ${CHOST##*-darwin} -ge 16 ]] ; then
+ darwinok=1
+ fi
+ sed -i -e 's/__builtin_available(macOS 10\.12, \*)/'"${darwinok}"'/' \
+ src/_cffi_src/openssl/src/osrandom_engine.c || die
+ fi
+}
+
+python_configure_all() {
+ filter-lto # bug #903908
+}
+
+python_test() {
+ local -x PYTHONPATH="${PYTHONPATH}:${WORKDIR}/cryptography_vectors-${PV}"
+ local EPYTEST_IGNORE=(
+ tests/bench
+ )
+ epytest -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 7287cc44d880..753b477de68a 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -1,7 +1,9 @@
DIST Django-4.2.23.checksum.txt 2384 BLAKE2B b14eedfea3253c3f3e3a96e124fe942bfdcfd5013876fd2ab7a693c5cf9190652869ef9093b1650c968bd2ecf097566cb404984645dbb3e28423a4a47f747c05 SHA512 8393fb7e21b5ea0db8fc909588e1ce40ce18f405f2d53470f75237889509e4606e3a1aa7168e9defe4c790446dee12084a779c275d6290dcd6f7db285ec3c045
DIST Django-5.1.11.checksum.txt 2384 BLAKE2B 8a8c2528bf0453d9da92cd5c6929b59f5e942840e17fd15dac00c1979d92f46b21c318f0d5d0426dd3cf0fd2c99799eb24eb2e50c4af906ad330d8fa1acd40df SHA512 748b3f4987ef0854cb3cbb501a7ee0c71acb5fbd2a3b4b07eef581db8ba31ad481aef4465a75fc42dcd4e75148568700101d169329373d3208b76aa6b90602f3
DIST Django-5.2.4.checksum.txt 2536 BLAKE2B 112467d2065f70700ee7f52e672f9208a4b96d8015ef8f11ec15f06fd62f8dd90e08690099a4ab859a2056ce16b033bd04162dbcbd590fa33f64af617bf225d8 SHA512 e8f1b971c4097996e3513d088a93b6bfc89280fc400aa908324041691f1f794d2e329d5e8ccadbbddfa7cba31823376651ea157b031efe5e2b74b38177ed7a6b
+DIST Django-5.2.5.checksum.txt 2375 BLAKE2B f3a3efcfb301ff20c949f48d6eeae53fb509c4a1ed4296d9d61f087e1fc7c6584d140e25446cdf39630ef35f957493ea1acf415e69e7aecc6314a2a10811c27e SHA512 7e5118e68c16bc18fed842040babea4428865fe24ae7d9571cfd195473b583be79fc0beed6b921735ccfa9711ad016df613c9882fe34305aa22070a6cc6af0cd
DIST django-4.2.17-pypy3.patch.xz 5900 BLAKE2B 2a564fc31d8e2f3def5a532d3bca1a4426a496c659192f602d659e0c1a5f5882978baedb384cc3b67fda8c836513ce43aece80db1528c8e8b6e9ca420f7572ce SHA512 9c9d935aff6db7230a26931b5e7f5f94f3b5ff4fc8f7d4201178571de9d9c7929a0e1e558cc2d9b54b8ee91f85819a5680d24fad6251620515a4a020e3b2d66d
DIST django-4.2.23.tar.gz 10448384 BLAKE2B 7ac537b279c3ff3e530c8a3a8c2884e30b8771e7bc86fa9086c5149aa9c2c0bf98b90b572e607e7c38c6dbfa95a06783e93a157ee6cdcd24a5285d4e9d700901 SHA512 3461a83b5c6cad1db8b1a54fa44735c6ec6d1aadb476973f3a76f8c1c3ffc49549ad8aded28baf05be439bdf8f9890f79b4908f16655804eb805a74dbb0e6ab3
DIST django-5.1.11.tar.gz 10734926 BLAKE2B 2fd387f356e3bafd3569ae0dd24c540970f5bcd465ebbf8726950fd92f4a85563ec6f79e5bbe69ba430eceab46cca50f631c9027a0e5abb024c906d42e69354e SHA512 dc9cb8e16242c6276cedccb639443d3f4b2d3805f52a74310fddb761ffc3ff9ad6be3863a4a14574ae9bf19342304afc0733497b4b584cb6cbe59e9b394d9a59
DIST django-5.2.4.tar.gz 10831909 BLAKE2B 3dac27659b23698142b4b9163fe3a916a2352ab9f079ade10cdf0304229ab1109818befdf29f42864fed2409b1af5b777836c2f63cbbf98f7af09920507fcdc6 SHA512 af2ec6cfa6e17c6b348c165947ac76287f51e5ab6edc90682b57f8412ec22aaa0cd326516f65b63438d2ef48a70d306a59bfb7a235adeae0e753b654a3b0059c
+DIST django-5.2.5.tar.gz 10859748 BLAKE2B a721e6199bd1c386098536a62a652bbad14268fd79f56a1235d0c0377e511a5c5ddc7646549389c72994bc1019a15ddb0b38a237a4ef4a5cc83caa8d248cec11 SHA512 b65e59596a2c3b4d219d0b37b54bbcead10b1f9760d499cb5cd603b0025995415f3883531f3274ca56a66f3c809933859a079d829403ca8160e6f6cadf7591a4
diff --git a/dev-python/django/django-4.2.23.ebuild b/dev-python/django/django-4.2.23.ebuild
index 81b0bed9ec0e..a53665ac9c20 100644
--- a/dev-python/django/django-4.2.23.ebuild
+++ b/dev-python/django/django-4.2.23.ebuild
@@ -60,6 +60,8 @@ PATCHES=(
"${FILESDIR}"/django-5.1-more-pypy3.patch
# https://code.djangoproject.com/ticket/34900
"${FILESDIR}"/django-4.2.21-py313.patch
+ # https://github.com/django/django/pull/19639
+ "${FILESDIR}"/django-5.2.5-htmlparser.patch
)
distutils_enable_sphinx docs --no-autodoc
diff --git a/dev-python/django/django-5.1.11.ebuild b/dev-python/django/django-5.1.11.ebuild
index f69cc5e4f756..dca4e653d71a 100644
--- a/dev-python/django/django-5.1.11.ebuild
+++ b/dev-python/django/django-5.1.11.ebuild
@@ -54,6 +54,8 @@ BDEPEND="
PATCHES=(
"${FILESDIR}"/django-4.0-bashcomp.patch
+ # https://github.com/django/django/pull/19639
+ "${FILESDIR}"/django-5.2.5-htmlparser.patch
)
distutils_enable_sphinx docs --no-autodoc
diff --git a/dev-python/django/django-5.2.5.ebuild b/dev-python/django/django-5.2.5.ebuild
new file mode 100644
index 000000000000..6ff7b0f60264
--- /dev/null
+++ b/dev-python/django/django-5.2.5.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 multiprocessing optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ =dev-python/asgiref-3.8.1[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.3.1[${PYTHON_USEDEP}]
+ sys-libs/timezone-data
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ >=dev-python/docutils-0.19[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-2.11.0[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/selenium-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/tblib-1.5.0[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20240807 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/django-4.0-bashcomp.patch
+ # https://github.com/django/django/pull/19639
+ "${FILESDIR}"/django-5.2.5-htmlparser.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${P^}.checksum.txt" sha256 "${P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite \
+ -v2 --parallel="${EPYTEST_JOBS:-$(makeopts_jobs)}" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:0
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/django/files/django-5.2.5-htmlparser.patch b/dev-python/django/files/django-5.2.5-htmlparser.patch
new file mode 100644
index 000000000000..6d986be38478
--- /dev/null
+++ b/dev-python/django/files/django-5.2.5-htmlparser.patch
@@ -0,0 +1,58 @@
+From e0a1e8d549e7be25960b8ad060c63def3dc35d1d Mon Sep 17 00:00:00 2001
+From: Natalia <124304+nessita@users.noreply.github.com>
+Date: Mon, 21 Jul 2025 15:23:32 -0300
+Subject: [PATCH 1/2] Fixed test_utils.tests.HTMLEqualTests.test_parsing_errors
+ following Python's HTMLParser fixed parsing.
+
+Further details about Python changes can be found in:
+https://github.com/python/cpython/commit/0243f97cbadec8d985e63b1daec5d1cbc850cae3.
+
+Thank you Clifford Gama for the thorough review!
+---
+ tests/test_utils/tests.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tests/test_utils/tests.py b/tests/test_utils/tests.py
+index 37e87aa1022c..9c22b61b4ff2 100644
+--- a/tests/test_utils/tests.py
++++ b/tests/test_utils/tests.py
+@@ -962,7 +962,7 @@ def test_parsing_errors(self):
+ "('Unexpected end tag `div` (Line 1, Column 6)', (1, 6))"
+ )
+ with self.assertRaisesMessage(AssertionError, error_msg):
+- self.assertHTMLEqual("< div> div>", "")
++ self.assertHTMLEqual("< div>", "")
+ with self.assertRaises(HTMLParseError):
+ parse_html("
")
+
+
+From e8afcf0e644553bcba3e5f931266963bffc46748 Mon Sep 17 00:00:00 2001
+From: Natalia <124304+nessita@users.noreply.github.com>
+Date: Mon, 14 Jul 2025 14:45:03 -0300
+Subject: [PATCH 2/2] Fixed #36499 -- Adjusted
+ utils_tests.test_html.TestUtilsHtml.test_strip_tags following Python's
+ HTMLParser new behavior.
+
+Python fixed a quadratic complexity processing for HTMLParser in:
+https://github.com/python/cpython/commit/6eb6c5dbfb528bd07d77b60fd71fd05d81d45c41.
+---
+ tests/utils_tests/test_html.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/tests/utils_tests/test_html.py b/tests/utils_tests/test_html.py
+index 284f33aedcfb..51573b81eb9d 100644
+--- a/tests/utils_tests/test_html.py
++++ b/tests/utils_tests/test_html.py
+@@ -142,10 +142,10 @@ def test_strip_tags(self):
+ ("&gotcha<>", "&gotcha<>"),
+ ("ript>test</script>", "ript>test"),
+ ("&h", "alert()h"),
+- (">"),
+ ("X<<<
br>br>br>X", "XX"),
+ ("<" * 50 + "a>" * 50, ""),
+- (">" + "" + "" + ""),
+ (" ${P}.tar.gz"
-
-LICENSE="BSD-2"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~x64-macos"
-SLOT="0"
-IUSE="libressl"
-
-RDEPEND="
- !libressl? ( dev-libs/openssl:0= )
- libressl? ( dev-libs/libressl:0= )
-"
-DEPEND="${RDEPEND}"
-
-distutils_enable_tests unittest
diff --git a/dev-python/scrypt/scrypt-0.9.4.ebuild b/dev-python/scrypt/scrypt-0.9.4.ebuild
new file mode 100644
index 000000000000..e01276714a36
--- /dev/null
+++ b/dev-python/scrypt/scrypt-0.9.4.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2021-2025 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Bindings for the scrypt key derivation function library"
+HOMEPAGE="https://github.com/holgern/py-scrypt/"
+SRC_URI="https://github.com/holgern/py-scrypt/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~x64-macos"
+SLOT="0"
+IUSE="libressl"
+
+RDEPEND="
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
--
cgit v1.3.1